DCMTK - Bug #911

Segfault in DiMonolmage::getFullOverlayData()
2019-11-05 08:55 - Marco Eichelberg

Status: Closed Start date: 2019-11-05
Priority: High Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour

Target version:
Module: dcmimgle Compiler:

Operating System: Linux, MacOS X, Windows

Description

The following manually created test image contains an overlay. When the image is loaded with class Dicomlmage and the overlay is
accessed using DiMonolmage::getFullOverlayData(), a segmentation fault occurs. Note that the dcm2pnm command line tool does
not use this method and is not affected by the bug.

Bug report and test image provided 2019-11-04 by Bartosz Biatoskérski <bartoszbialoskorski@gmail.com>.

History

#1 - 2019-11-08 22:02 - J6rg Riesmeier

- Status changed from New to Closed

- Priority changed from Normal to High

- % Done changed from 0 to 100

- Operating System changed from Linux, MacOS X to Linux, MacOS X, Windows

Closed by commit 3e3a04b.

#2 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)

Files

getFullOverlayData.dcm 246 KB 2019-11-05 Marco Eichelberg
